#include <iostream>
#include <vector>
#include <fstream>
#include <ctime>
#include <random>
#include <algorithm>
#include <cassert>
#include <queue>
#include <cstring>
#include <unordered_map>
#include <unordered_set>
using namespace std;

random_device rand_dev;
mt19937_64 generator(rand_dev());
main() {
    srand(time(0));
    for(int i = 61; i <= 70; i++) {
        int n = 50000+generator()%50000;
        vector<long long> p;
        ofstream in(string("ezici.") + (i<10?"0":"") + (i<100?"0":"") + to_string(i) + ".in");
        ofstream out(string("ezici.") + (i<10?"0":"") + (i<100?"0":"") + to_string(i) + ".out");
        in << -7 << endl;
        in << n << endl;
        unordered_set<long long> s;
        vector<long long> v;
        for(int i = 1; i <= n; i++) {
            if(i>1&&generator()%(1+generator()%100)==0) {
                v.push_back(v[generator()%v.size()]);
            }
            else {
                v.push_back((generator()%(long long)1e18)*(generator()%2==0?1:-1));
            }
            s.insert(v.back());
            in << v.back() << " ";
        }
        in << endl;
        out << s.size() << endl;
    }
}